import mongoose from "mongoose";
const Schema = mongoose.Schema;

const MODEL_SCHEMA = new Schema({
    _id: {type: String, required: true},
    depth : Number,
    interpolationfactor : Number,
    sessionIdList: [String],
    crossEntropyBySession: [{sessionId: Number, crossEntropyList: [Number]}],
},
{
    timestamps: true,
});

export default mongoose.model("Model", MODEL_SCHEMA);
